# Account

A WEMIX3.0 account is an object with a WEMIX balance that can send transactions from a WEMIX blockchain. This chapter describes how to create an External-Owned Account (EOA) and check the balance directly controlled by the user.

## **Create Account**

Account files are created in the keystore directory. To create a new account, use the following command.

```
gwemix wemix new-account --out <account-file-name>
```

{% hint style="info" %}
MetaMask allows creating new accounts conveniently without having to install gwemix directly. Wallet creation and WEMIX3.0 network settings are possible [through MetaMask](/en/quick-start/account/use-metamask.md).
{% endhint %}

## **Import Account**

Account files created externally can also be copied and used in the keystore directory.

```
mkdir {data_directory}/keystore
chmod 700 {data_directory}/keystore
cp <account-file-name> {data_directory}/keystore
```

## **Check Account Balance**

Access the gwemix console and run the following command to check the account balance.

```
eth.getBalance('{your_address}')
```

Because the gwemix console is a JavaScript console, a JavaScript function that reads all addresses in the Keystore can be used to read all balances as a function.

```
function checkAllBalances() { 
var i = 0; 
eth.accounts.forEach( function(e){
     console.log("eth.accounts["+i+"]: " + e + " \tbalance: " + web3.fromWei(eth.getBalance(e), "ether") + " ether"); 
i++; 
})
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/en/quick-start/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
